package com.zfire.jiasm.syncdata.constant;

import lombok.Getter;

/**
 * 接口表类型
 * @author yaozx
 * @version 1.0
 * @date 2022-12-23
 */
@Getter
public enum InterFaceTypeEnum {

    /**
     * 格力品牌省份信息接口
     */
    TBL_PROVINCE("tblProvince","省份信息接口"),
    /**
     * 格力品牌市信息接口
     */
    TBL_CITY("tblCity","市信息接口"),
    /**
     * 格力品牌区信息接口
     */
    TBL_COUNTY("tblCounty","区信息接口"),
    /**
     * 乡镇信息接口
     */
    TBL_CITY_JDXZ("tblCityJdxz","乡镇信息接口"),
    /**
     * 格力品牌销售售后网点下载接口
     */
    GLXSSH_WEBSIT("tblXinWangdian","佛山销售网点下载接口"),
    /**
     * 格力品牌销售网点类型
     */
    XS_WEBSIT_TYPE("X","销售网点类型"),
    /**
     * 格力品牌售后网点类型
     */
    SH_WEBSIT_TYPE("S","售后网点类型"),
    /**
     * X2300000 格力品牌佛山销售
     */
    FSXS_WEBSIT_CODE("X2300000","佛山销售网点"),
    /**
     * X2100000 格力品牌广州销售
     */
    GZXS_WEBSIT_CODE("X2100000","广州销售网点"),
    /**
     * S9219807 格力品牌佛山售后
     */
    FSSH_WEBSIT_CODE("S9219807","佛山售后网点"),
    /**
     * S9219801 格力品牌广州售后网点
     */
    GSSH_WEBSIT_CODE("S9219801","广州售后网点"),

    /**
     * X9920000 格力品牌广州售后网点
     */
    TMSC_WEBSIT_CODE("X9920000","天猫商城"),

    /**
     * S9329829 格力品牌广州售后网点
     */
    TMYP_WEBSIT_CODE("S9329829","天猫优品"),

    /**
     * 格力品牌大类信息接口
     */
    GELI_DL("tblSplbDalei","格力大类信息接口"),
    /**
     * 格力品牌小类信息接口
     */
    GELI_XL("tblSplbXiaolei","格力小类信息接口"),
    /**
     * 格力品牌系列信息接口
     */
    GELI_PPXL("tblSplbXilie","格力品牌系列信息接口"),
    /**
     * 格力品牌机型信息接口
     */
    GELI_PPJX("tblSplbJixin","格力品牌机型信息接口"),
    /**
     * 格力品牌销售售后网点维修工下载接口
     */
    GLXSSH_WEBSIT_WORK("tblWangdianWxg","格力销售售后网点维修工下载接口"),
    /**
     * 格力品牌服务人员信息上传接口
     */
    WORK_UPLOAD("outapp/wxg/add","格力销售售后网点维修工下载接口"),
    /**
     * 格力品牌用户属性下载接口
     */
    GLPP_YHSX("tblAssignYhsxWx","格力品牌用户属性下载接口"),
    /**
     * 格力品牌用户等级下载接口
     */
    GLPP_YHDJ("tblYhsxViprank","格力品牌用户等级下载接口"),
    /**
     * 格力品牌信息渠道下载接口
     */
    GLPP_XXQD("tblAssignXxqd","格力品牌信息渠道下载接口"),
    /**
     * 格力品牌信息来源下载接口
     */
    GLPP_XXLY("tblAssignXxly","格力品牌信息来源下载接口"),
    /**
     * 格力品牌安装销售类型下载接口
     */
    GLPP_XSLX("tblAzAssignXslx","格力品牌安装销售类型下载接口"),
    /**
     * 格力品牌需求大类信息接口
     */
    GELI_XQDL("tblAssignXxlb","格力品牌需求大类信息接口"),
    /**
     * 格力品牌需求小类信息接口
     */
    GELI_XQXL("tblAssignXqxl","格力品牌需求小类信息接口"),
    /**
     * 格力品牌固障代码信息接口
     */
    GELI_GZDM("tblAssignGzdm","格力品牌固障代码信息接口"),



    ;










    /**
     * 编码
     */
    private final String code;


    private final String text;

    InterFaceTypeEnum(String code, String text) {
        this.code = code;
        this.text = text;
    }

    public static InterFaceTypeEnum getByCode(String code) {
        for (InterFaceTypeEnum item : values()) {
            if (code.equals(item.getCode())) {
                return item;
            }
        }
        return null;
    }

    /**
     * @param code: code
     * @return 对应枚举
     **/
    public static String getMessageByCode(String code) {
        String result = null;
        for (InterFaceTypeEnum item : values()) {
            if (code.equals(item.getCode())) {
                result = item.getText();
                break;
            }
        }
        return result;
    }
}
